com.holonplatform.vaadin.flow.components.builders

## Interface ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>

- Type Parameters:
    `T` - Item type
    `P` - Item property type
    `L` - Item listing type
    `B` - Parent builder type
  All Superinterfaces:
    ItemListingConfigurator.BaseItemListingColumnConfigurator<ItemListingConfigurator.ItemListingColumnBuilder<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,ItemListingConfigurator.ItemListingColumnBuilder<T,P,L,B>>
  Enclosing interface:
    ItemListingConfigurator<T,P,L extends ItemListing<T,P>,C extends ItemListingConfigurator<T,P,L,C>>

      public static interface ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>
      extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,ItemListingConfigurator.ItemListingColumnBuilder<T,P,L,B>>

  ItemListing column builder.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `add()` Add the column to the listing.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator.ItemListingColumnConfigurator

      `displayAfter, displayAsFirst, displayAsLast, displayBefore, editorComponent, editorComponent, frozen, header, header, header, headerComponent, sortComparator, sortProvider, sortUsing, sortUsing, styleNameGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator.BaseItemListingColumnConfigurator

      `alignment, flexGrow, resizable, visible, width`

- - ### Method Detail

    - #### add

          B add()

      Add the column to the listing.
      Returns:
        The parent listing builder

Copyright © 2019 The Holon Platform. All rights reserved.